Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\Repository\Repository Class Reference

Repository class. More...

Inheritance diagram for eZ\Publish\Core\Repository\Repository:

## Public Member Functions
| __construct (PersistenceHandler $persistenceHandler, SearchHandler $searchHandler, BackgroundIndexer $backgroundIndexer, RelationProcessor $relationProcessor, array $serviceSettings=[], APIUserReference $user=null, LoggerInterface $logger=null)
| Constructor. More...
| getCurrentUser ()
| getCurrentUserReference ()
| setCurrentUser (APIUserReference $user)
| sudo (callable $callback, RepositoryInterface $outerRepository=null)
| {} More...
| hasAccess ($module, $function, APIUserReference $user=null)
| canUser ($module, $function, ValueObject $object, $targets=null)
| getContentService ()
| Get Content Service. More...
| getContentLanguageService ()
| Get Content Language Service. More...
| getContentTypeService ()
| Get Content Type Service. More...
| getLocationService ()
| Get Content Location Service. More...
| getTrashService ()
| Get Content Trash service. More...
| getSectionService ()
| Get Content Section Service. More...
| getUserService ()
| Get User Service. More...
| getURLAliasService ()
| Get URLAliasService. More...
| getURLWildcardService ()
| Get URLWildcardService. More...
| getURLService ()
| Get URLService. More...
| getBookmarkService ()
| Get BookmarkService. More...
| getUserPreferenceService ()
| Get UserPreferenceService. More...
| getObjectStateService ()
| Get ObjectStateService. More...
| getRoleService ()
| Get RoleService. More...
| getSearchService ()
| Get SearchService. More...
| getFieldTypeService ()
| Get FieldTypeService. More...
| getPermissionResolver ()
| Get PermissionResolver. More...
| getNameSchemaService ()
| Get NameSchemaResolverService. More...
| getNotificationService ()
| beginTransaction ()
| Begin transaction. More...
| commit ()
| Commit transaction. More...
| rollback ()
| Rollback transaction. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Repository
| setCurrentUser (UserReference $user)
| hasAccess ($module, $function, UserReference $user=null)
| sudo (callable $callback, Repository $outerRepository=null)
| Allows API execution to be performed with full access, sand-boxed. More...

## Protected Member Functions
| getLimitationService ()
| Get LimitationService. More...
| getRoleDomainMapper ()
| Get RoleDomainMapper. More...
| getFieldTypeRegistry ()
| getNameableFieldTypeRegistry ()
| getRelationProcessor ()
| Get RelationProcessor. More...
| getDomainMapper ()
| Get Content Domain Mapper. More...
| getContentTypeDomainMapper ()
| Get ContentType Domain Mapper. More...
| getPermissionCriterionResolver ()
| Get PermissionCriterionResolver. More...
| getCachedPermissionsResolver ()

## Protected Attributes
| $persistenceHandler
| $searchHandler
| $currentUser
| $currentUserRef
| $contentService
| $sectionService
| $roleService
| $searchService
| $userService
| $languageService
| $locationService
| $trashService
| $contentTypeService
| $objectStateService
| $fieldTypeService
| $nameSchemaService
| $relationProcessor
| $urlAliasService
| $urlWildcardService
| $urlService
| $bookmarkService
| $notificationService
| $userPreferenceService
| $serviceSettings
| $limitationService
| $roleDomainMapper
| $domainMapper
| $contentTypeDomainMapper
| $permissionsHandler
| $backgroundIndexer

## Private Attributes
| $fieldTypeRegistry
| $nameableFieldTypeRegistry
| $logger

## Detailed Description

Repository class.

Definition at line 31 of file Core/Repository/Repository.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\Repository::__construct | ( | PersistenceHandler | $persistenceHandler,
|  | SearchHandler | $searchHandler,
|  | BackgroundIndexer | $backgroundIndexer,
|  | RelationProcessor | $relationProcessor,
|  | array | $serviceSettings = `[]`,
|  | APIUserReference | $user = `null`,
|  | LoggerInterface | $logger = `null`
| ) |  |

Constructor.

Construct repository object with provided storage engine

Parameters

  \eZ\Publish\SPI\Persistence\Handler | $persistenceHandler |
  \eZ\Publish\SPI\Search\Handler | $searchHandler |
  \eZ\Publish\Core\Search\Common\BackgroundIndexer | $backgroundIndexer |
  \eZ\Publish\Core\Repository\Helper\RelationProcessor | $relationProcessor |
  array | $serviceSettings |
  \eZ\Publish\API\Repository\Values\User\UserReference | null | $user |
  \Psr\Log\LoggerInterface | null | $logger |

Definition at line 269 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$backgroundIndexer, eZ\Publish\Core\Repository\Repository\$logger, eZ\Publish\Core\Repository\Repository\$persistenceHandler, eZ\Publish\Core\Repository\Repository\$relationProcessor, eZ\Publish\Core\Repository\Repository\$searchHandler, and eZ\Publish\Core\Repository\Repository\$serviceSettings.

## Member Function Documentation

## ◆ beginTransaction()

eZ\Publish\Core\Repository\Repository::beginTransaction | ( |  | ) |

Begin transaction.

Begins an transaction, make sure you'll call commit or rollback when done, otherwise work will be lost.

Implements eZ\Publish\API\Repository\Repository.

Definition at line 1009 of file Core/Repository/Repository.php.

## ◆ canUser()

eZ\Publish\Core\Repository\Repository::canUser | ( |  | $module,
|  |  | $function,
|  | ValueObject | $object,
|  |  | $targets = `null`
| ) |  |

Deprecated:
  since 6.6, to be removed.

Use PermissionResolver::canUser() instead.

Check if user has access to a given action on a given value object.

Indicates if the current user is allowed to perform an action given by the function on the given objects.

Exceptions

Implements eZ\Publish\API\Repository\Repository.

Definition at line 424 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getPermissionResolver().

## ◆ commit()

eZ\Publish\Core\Repository\Repository::commit | ( |  | ) |

Commit transaction.

Commit transaction, or throw exceptions if no transactions has been started.

Exceptions

  RuntimeException | If no transaction has been started

Implements eZ\Publish\API\Repository\Repository.

Definition at line 1021 of file Core/Repository/Repository.php.

## ◆ getBookmarkService()

eZ\Publish\Core\Repository\Repository::getBookmarkService | ( |  | ) |

Get BookmarkService.

Returns
  \eZ\Publish\API\Repository\BookmarkService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 683 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$bookmarkService.

## ◆ getCachedPermissionsResolver()

eZ\Publish\Core\Repository\Repository::getCachedPermissionsResolver | ( |  | ) |
| protected

Returns
  \eZ\Publish\API\Repository\PermissionCriterionResolver|\eZ\Publish\API\Repository\PermissionResolver

Definition at line 982 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$permissionsHandler, eZ\Publish\Core\Repository\Repository\getLimitationService(), and eZ\Publish\Core\Repository\Repository\getRoleDomainMapper().

Referenced by eZ\Publish\Core\Repository\Repository\getPermissionCriterionResolver(), and eZ\Publish\Core\Repository\Repository\getPermissionResolver().

## ◆ getContentLanguageService()

eZ\Publish\Core\Repository\Repository::getContentLanguageService | ( |  | ) |

Get Content Language Service.

Get service object to perform operations on Content language objects

Returns
  \eZ\Publish\API\Repository\LanguageService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 474 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$languageService.

## ◆ getContentService()

eZ\Publish\Core\Repository\Repository::getContentService | ( |  | ) |

Get Content Service.

Get service object to perform operations on Content objects and it's aggregate members.

Returns
  \eZ\Publish\API\Repository\ContentService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 448 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$contentService, eZ\Publish\Core\Repository\Repository\getDomainMapper(), eZ\Publish\Core\Repository\Repository\getFieldTypeRegistry(), eZ\Publish\Core\Repository\Repository\getNameSchemaService(), and eZ\Publish\Core\Repository\Repository\getRelationProcessor().

## ◆ getContentTypeDomainMapper()

eZ\Publish\Core\Repository\Repository::getContentTypeDomainMapper | ( |  | ) |
| protected

Get ContentType Domain Mapper.

Todo:
  Move out from this & other repo instances when services becomes proper services in DIC terms using factory.

Returns
  \eZ\Publish\Core\Repository\Helper\ContentTypeDomainMapper

Definition at line 952 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$contentTypeDomainMapper.

## ◆ getContentTypeService()

eZ\Publish\Core\Repository\Repository::getContentTypeService | ( |  | ) |

Get Content Type Service.

Get service object to perform operations on Content Type objects and it's aggregate members. ( Group, Field & FieldCategory )

Returns
  \eZ\Publish\API\Repository\ContentTypeService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 497 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$contentTypeService.

Referenced by eZ\Publish\Core\Repository\Repository\getLocationService().

## ◆ getCurrentUser()

eZ\Publish\Core\Repository\Repository::getCurrentUser | ( |  | ) |

Deprecated:
  since 6.6, to be removed.

Use PermissionResolver::getCurrentUserReference() instead.

Get current user.

Loads the full user object if not already loaded, if you only need to know user id use {

See also
  getCurrentUserReference()}

Returns
  \eZ\Publish\API\Repository\Values\User\User

Implements eZ\Publish\API\Repository\Repository.

Definition at line 329 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$currentUser, eZ\Publish\Core\Repository\Repository\getCurrentUserReference(), eZ\Publish\Core\Repository\Repository\getPermissionResolver(), and eZ\Publish\Core\Repository\Repository\getUserService().

## ◆ getCurrentUserReference()

eZ\Publish\Core\Repository\Repository::getCurrentUserReference | ( |  | ) |

Deprecated:
  since 6.6, to be removed.

Use PermissionResolver::getCurrentUserReference() instead.

Get current user reference.

Since
  5.4.5

Returns
  \eZ\Publish\API\Repository\Values\User\UserReference

Implements eZ\Publish\API\Repository\Repository.

Definition at line 348 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getPermissionResolver().

Referenced by eZ\Publish\Core\Repository\Repository\getCurrentUser().

## ◆ getDomainMapper()

eZ\Publish\Core\Repository\Repository::getDomainMapper | ( |  | ) |
| protected

Get Content Domain Mapper.

Todo:
  Move out from this & other repo instances when services becomes proper services in DIC terms using factory.

Returns
  \eZ\Publish\Core\Repository\Helper\DomainMapper

Definition at line 927 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$domainMapper.

Referenced by eZ\Publish\Core\Repository\Repository\getContentService(), eZ\Publish\Core\Repository\Repository\getLocationService(), and eZ\Publish\Core\Repository\Repository\getSearchService().

## ◆ getFieldTypeRegistry()

eZ\Publish\Core\Repository\Repository::getFieldTypeRegistry | ( |  | ) |
| protected

Returns
  Helper\FieldTypeRegistry

Definition at line 838 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$fieldTypeRegistry.

Referenced by eZ\Publish\Core\Repository\Repository\getContentService(), and eZ\Publish\Core\Repository\Repository\getFieldTypeService().

## ◆ getFieldTypeService()

eZ\Publish\Core\Repository\Repository::getFieldTypeService | ( |  | ) |

Get FieldTypeService.

Returns
  \eZ\Publish\API\Repository\FieldTypeService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 814 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$fieldTypeService, and eZ\Publish\Core\Repository\Repository\getFieldTypeRegistry().

## ◆ getLimitationService()

eZ\Publish\Core\Repository\Repository::getLimitationService | ( |  | ) |
| protected

Get LimitationService.

Returns
  \eZ\Publish\Core\Repository\Helper\LimitationService

Definition at line 759 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$limitationService.

Referenced by eZ\Publish\Core\Repository\Repository\getCachedPermissionsResolver(), and eZ\Publish\Core\Repository\Repository\getRoleDomainMapper().

## ◆ getLocationService()

eZ\Publish\Core\Repository\Repository::getLocationService | ( |  | ) |

Get Content Location Service.

Get service object to perform operations on Location objects and subtrees

Returns
  \eZ\Publish\API\Repository\LocationService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 523 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$locationService, eZ\Publish\Core\Repository\Repository\getContentTypeService(), eZ\Publish\Core\Repository\Repository\getDomainMapper(), eZ\Publish\Core\Repository\Repository\getNameSchemaService(), and eZ\Publish\Core\Repository\Repository\getPermissionCriterionResolver().

## ◆ getNameableFieldTypeRegistry()

eZ\Publish\Core\Repository\Repository::getNameableFieldTypeRegistry | ( |  | ) |
| protected

Returns
  Helper\NameableFieldTypeRegistry

Definition at line 852 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$nameableFieldTypeRegistry.

## ◆ getNameSchemaService()

eZ\Publish\Core\Repository\Repository::getNameSchemaService | ( |  | ) |

Get NameSchemaResolverService.

Todo:
  Move out from this & other repo instances when services becomes proper services in DIC terms using factory.

Returns
  \eZ\Publish\Core\Repository\Helper\NameSchemaService

Definition at line 874 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$nameSchemaService.

Referenced by eZ\Publish\Core\Repository\Repository\getContentService(), eZ\Publish\Core\Repository\Repository\getLocationService(), and eZ\Publish\Core\Repository\Repository\getTrashService().

## ◆ getNotificationService()

eZ\Publish\Core\Repository\Repository::getNotificationService | ( |  | ) |

Returns
  \eZ\Publish\API\Repository\NotificationService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 893 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$notificationService.

## ◆ getObjectStateService()

eZ\Publish\Core\Repository\Repository::getObjectStateService | ( |  | ) |

Get ObjectStateService.

Returns
  \eZ\Publish\API\Repository\ObjectStateService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 717 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$objectStateService.

## ◆ getPermissionCriterionResolver()

eZ\Publish\Core\Repository\Repository::getPermissionCriterionResolver | ( |  | ) |
| protected

Get PermissionCriterionResolver.

Todo:
  Move out from this & other repo instances when services becomes proper services in DIC terms using factory.

Returns
  \eZ\Publish\API\Repository\PermissionCriterionResolver

Definition at line 974 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getCachedPermissionsResolver().

Referenced by eZ\Publish\Core\Repository\Repository\getLocationService(), eZ\Publish\Core\Repository\Repository\getSearchService(), and eZ\Publish\Core\Repository\Repository\getTrashService().

## ◆ getPermissionResolver()

eZ\Publish\Core\Repository\Repository::getPermissionResolver | ( |  | ) |

Get PermissionResolver.

Returns
  \eZ\Publish\API\Repository\PermissionResolver

Implements eZ\Publish\API\Repository\Repository.

Definition at line 830 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getCachedPermissionsResolver().

Referenced by eZ\Publish\Core\Repository\Repository\canUser(), eZ\Publish\Core\Repository\Repository\getCurrentUser(), eZ\Publish\Core\Repository\Repository\getCurrentUserReference(), eZ\Publish\Core\Repository\Repository\hasAccess(), eZ\Publish\Core\Repository\Repository\setCurrentUser(), and eZ\Publish\Core\Repository\Repository\sudo().

## ◆ getRelationProcessor()

eZ\Publish\Core\Repository\Repository::getRelationProcessor | ( |  | ) |
| protected

Get RelationProcessor.

Todo:
  Move out from this & other repo instances when services becomes proper services in DIC terms using factory.

Returns
  \eZ\Publish\Core\Repository\Helper\RelationProcessor

Definition at line 915 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$relationProcessor.

Referenced by eZ\Publish\Core\Repository\Repository\getContentService().

## ◆ getRoleDomainMapper()

eZ\Publish\Core\Repository\Repository::getRoleDomainMapper | ( |  | ) |
| protected

Get RoleDomainMapper.

Returns
  \eZ\Publish\Core\Repository\Helper\RoleDomainMapper

Definition at line 775 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$roleDomainMapper, and eZ\Publish\Core\Repository\Repository\getLimitationService().

Referenced by eZ\Publish\Core\Repository\Repository\getCachedPermissionsResolver().

## ◆ getRoleService()

eZ\Publish\Core\Repository\Repository::getRoleService | ( |  | ) |

Get RoleService.

Returns
  \eZ\Publish\API\Repository\RoleService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 737 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$roleService.

## ◆ getSearchService()

eZ\Publish\Core\Repository\Repository::getSearchService | ( |  | ) |

Get SearchService.

Returns
  \eZ\Publish\API\Repository\SearchService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 791 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$searchService, eZ\Publish\Core\Repository\Repository\getDomainMapper(), and eZ\Publish\Core\Repository\Repository\getPermissionCriterionResolver().

## ◆ getSectionService()

eZ\Publish\Core\Repository\Repository::getSectionService | ( |  | ) |

Get Content Section Service.

Get Section service that lets you manipulate section objects

Returns
  \eZ\Publish\API\Repository\SectionService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 575 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$sectionService.

## ◆ getTrashService()

eZ\Publish\Core\Repository\Repository::getTrashService | ( |  | ) |

Get Content Trash service.

Trash service allows to perform operations related to location trash (trash/untrash, load/list from trash...)

Returns
  \eZ\Publish\API\Repository\TrashService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 551 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$trashService, eZ\Publish\Core\Repository\Repository\getNameSchemaService(), and eZ\Publish\Core\Repository\Repository\getPermissionCriterionResolver().

## ◆ getURLAliasService()

eZ\Publish\Core\Repository\Repository::getURLAliasService | ( |  | ) |

Get URLAliasService.

Returns
  \eZ\Publish\API\Repository\URLAliasService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 620 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$urlAliasService.

## ◆ getURLService()

eZ\Publish\Core\Repository\Repository::getURLService | ( |  | ) |

Get URLService.

Returns
  \eZ\Publish\API\Repository\URLService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 663 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$urlService.

## ◆ getURLWildcardService()

eZ\Publish\Core\Repository\Repository::getURLWildcardService | ( |  | ) |

Get URLWildcardService.

Returns
  \eZ\Publish\API\Repository\URLWildcardService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 642 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$urlWildcardService.

## ◆ getUserPreferenceService()

eZ\Publish\Core\Repository\Repository::getUserPreferenceService | ( |  | ) |

Get UserPreferenceService.

Returns
  \eZ\Publish\API\Repository\UserPreferenceService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 700 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$userPreferenceService.

## ◆ getUserService()

eZ\Publish\Core\Repository\Repository::getUserService | ( |  | ) |

Get User Service.

Get service object to perform operations on Users and UserGroup

Returns
  \eZ\Publish\API\Repository\UserService

Implements eZ\Publish\API\Repository\Repository.

Definition at line 599 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\$userService.

Referenced by eZ\Publish\Core\Repository\Repository\getCurrentUser().

## ◆ hasAccess()

eZ\Publish\Core\Repository\Repository::hasAccess | ( |  | $module,
|  |  | $function,
|  | APIUserReference | $user = `null`
| ) |  |

Deprecated:
  since 6.6, to be removed.

Use PermissionResolver::hasAccess() instead.

Check if user has access to a given module / function.

Low level function, use canUser instead if you have objects to check against.

Parameters

  string | $module |
  string | $function |
  \eZ\Publish\API\Repository\Values\User\UserReference | $user |

Returns
  bool|array Bool if user has full or no access, array if limitations if not

Definition at line 401 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getPermissionResolver().

## ◆ rollback()

eZ\Publish\Core\Repository\Repository::rollback | ( |  | ) |

Rollback transaction.

Rollback transaction, or throw exceptions if no transactions has been started.

Exceptions

  RuntimeException | If no transaction has been started

Implements eZ\Publish\API\Repository\Repository.

Definition at line 1037 of file Core/Repository/Repository.php.

## ◆ setCurrentUser()

eZ\Publish\Core\Repository\Repository::setCurrentUser | ( | APIUserReference | $user | ) |

Deprecated:
  since 6.6, to be removed.

Use PermissionResolver::setCurrentUserReference() instead.

Sets the current user to the given $user.

Parameters

  \eZ\Publish\API\Repository\Values\User\UserReference | $user |

Exceptions

  InvalidArgumentValue | If UserReference does not contain a id

Definition at line 362 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getPermissionResolver().

## ◆ sudo()

eZ\Publish\Core\Repository\Repository::sudo | ( | callable | $callback,
|  | RepositoryInterface | $outerRepository = `null`
| ) |  |

{}

Definition at line 383 of file Core/Repository/Repository.php.

References eZ\Publish\Core\Repository\Repository\getPermissionResolver().

## Member Data Documentation

## ◆ $backgroundIndexer

eZ\Publish\Core\Repository\Repository::$backgroundIndexer
| protected

Definition at line 251 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\__construct().

## ◆ $bookmarkService

eZ\Publish\Core\Repository\Repository::$bookmarkService
| protected

Definition at line 196 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getBookmarkService().

## ◆ $contentService

eZ\Publish\Core\Repository\Repository::$contentService
| protected

Definition at line 70 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getContentService().

## ◆ $contentTypeDomainMapper

eZ\Publish\Core\Repository\Repository::$contentTypeDomainMapper
| protected

Definition at line 241 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getContentTypeDomainMapper().

## ◆ $contentTypeService

eZ\Publish\Core\Repository\Repository::$contentTypeService
| protected

Definition at line 126 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getContentTypeService().

## ◆ $currentUser

eZ\Publish\Core\Repository\Repository::$currentUser
| protected

Definition at line 54 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getCurrentUser().

## ◆ $currentUserRef

eZ\Publish\Core\Repository\Repository::$currentUserRef
| protected

Definition at line 63 of file Core/Repository/Repository.php.

## ◆ $domainMapper

eZ\Publish\Core\Repository\Repository::$domainMapper
| protected

Definition at line 234 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getDomainMapper().

## ◆ $fieldTypeRegistry

eZ\Publish\Core\Repository\Repository::$fieldTypeRegistry
| private

Definition at line 147 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getFieldTypeRegistry().

## ◆ $fieldTypeService

eZ\Publish\Core\Repository\Repository::$fieldTypeService
| protected

Definition at line 140 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getFieldTypeService().

## ◆ $languageService

eZ\Publish\Core\Repository\Repository::$languageService
| protected

Definition at line 105 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getContentLanguageService().

## ◆ $limitationService

eZ\Publish\Core\Repository\Repository::$limitationService
| protected

Definition at line 224 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getLimitationService().

## ◆ $locationService

eZ\Publish\Core\Repository\Repository::$locationService
| protected

Definition at line 112 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getLocationService().

## ◆ $logger

eZ\Publish\Core\Repository\Repository::$logger
| private

Definition at line 254 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\__construct().

## ◆ $nameableFieldTypeRegistry

eZ\Publish\Core\Repository\Repository::$nameableFieldTypeRegistry
| private

Definition at line 154 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getNameableFieldTypeRegistry().

## ◆ $nameSchemaService

eZ\Publish\Core\Repository\Repository::$nameSchemaService
| protected

Definition at line 161 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getNameSchemaService().

## ◆ $notificationService

eZ\Publish\Core\Repository\Repository::$notificationService
| protected

Definition at line 203 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getNotificationService().

## ◆ $objectStateService

eZ\Publish\Core\Repository\Repository::$objectStateService
| protected

Definition at line 133 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getObjectStateService().

## ◆ $permissionsHandler

eZ\Publish\Core\Repository\Repository::$permissionsHandler
| protected

Definition at line 248 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getCachedPermissionsResolver().

## ◆ $persistenceHandler

eZ\Publish\Core\Repository\Repository::$persistenceHandler
| protected

Definition at line 38 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\__construct().

## ◆ $relationProcessor

eZ\Publish\Core\Repository\Repository::$relationProcessor
| protected

Definition at line 168 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\__construct(), and eZ\Publish\Core\Repository\Repository\getRelationProcessor().

## ◆ $roleDomainMapper

eZ\Publish\Core\Repository\Repository::$roleDomainMapper
| protected

Definition at line 227 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getRoleDomainMapper().

## ◆ $roleService

eZ\Publish\Core\Repository\Repository::$roleService
| protected

Definition at line 84 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getRoleService().

## ◆ $searchHandler

eZ\Publish\Core\Repository\Repository::$searchHandler
| protected

Definition at line 45 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\__construct().

## ◆ $searchService

eZ\Publish\Core\Repository\Repository::$searchService
| protected

Definition at line 91 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getSearchService().

## ◆ $sectionService

eZ\Publish\Core\Repository\Repository::$sectionService
| protected

Definition at line 77 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getSectionService().

## ◆ $serviceSettings

eZ\Publish\Core\Repository\Repository::$serviceSettings
| protected

Definition at line 217 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\__construct().

## ◆ $trashService

eZ\Publish\Core\Repository\Repository::$trashService
| protected

Definition at line 119 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getTrashService().

## ◆ $urlAliasService

eZ\Publish\Core\Repository\Repository::$urlAliasService
| protected

Definition at line 175 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getURLAliasService().

## ◆ $urlService

eZ\Publish\Core\Repository\Repository::$urlService
| protected

Definition at line 189 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getURLService().

## ◆ $urlWildcardService

eZ\Publish\Core\Repository\Repository::$urlWildcardService
| protected

Definition at line 182 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getURLWildcardService().

## ◆ $userPreferenceService

eZ\Publish\Core\Repository\Repository::$userPreferenceService
| protected

Definition at line 210 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getUserPreferenceService().

## ◆ $userService

eZ\Publish\Core\Repository\Repository::$userService
| protected

Definition at line 98 of file Core/Repository/Repository.php.

Referenced by eZ\Publish\Core\Repository\Repository\getUserService().

The documentation for this class was generated from the following file:

- Core/Repository/Repository.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.